unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, SHDocVw, jpeg, ExtCtrls;

type
  TForm2 = class(TForm)
    praktika1: TButton;
    praktika2: TButton;
    praktika3: TButton;
    praktika4: TButton;
    Label1: TLabel;
    test: TButton;
    about: TButton;
    exit: TButton;
    theory: TButton;
    done1: TLabel;
    done2: TLabel;
    done3: TLabel;
    done4: TLabel;
    ots: TLabel;
    Label2: TLabel;
    ocenka: TLabel;
    Button1: TButton;
    Image1: TImage;
    procedure testClick(Sender: TObject);
    procedure exitClick(Sender: TObject);
    procedure aboutClick(Sender: TObject);
    procedure praktika1Click(Sender: TObject);
    procedure praktika2Click(Sender: TObject);
    procedure praktika3Click(Sender: TObject);
    procedure praktika4Click(Sender: TObject);
    procedure theoryClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  p1,p2,p3,p4,o:boolean;

implementation

uses unittest, Unit3, Unit4, Unit5, Unit6, Unit8, Unit9, Unit10, Unit12, Unit13, Unit14;

{$R *.dfm}

procedure TForm2.aboutClick(Sender: TObject);
begin
unit3.about1.showmodal;
end;


procedure TForm2.exitClick(Sender: TObject);
begin
form2.Close;
end;

procedure TForm2.praktika1Click(Sender: TObject);
begin
unit13.Form13.showmodal;
end;

procedure TForm2.praktika2Click(Sender: TObject);
begin
unit6.form6.showmodal;
end;

procedure TForm2.praktika3Click(Sender: TObject);
begin
unit8.Form8.showmodal;
end;

procedure TForm2.praktika4Click(Sender: TObject);
begin
unit10.form10.showmodal;
end;

procedure TForm2.testClick(Sender: TObject);
begin
unittest.Form1.Memo1.Text:='';
unittest.Form1.Memo2.text:='';
unittest.Form1.Memo3.text:='';
unittest.Form1.Memo4.Text:='';
unittest.Form1.Memo5.text:='';
if p1 and p2 and p3 and p4 = true then
begin

showmessage('Внимание! В вопросе может быть несколько правильных ответов.');
unittest.Form1.ShowModal
end
else
showmessage('Не все задания выполнены');
end;

procedure TForm2.theoryClick(Sender: TObject);
begin
unit12.form12.showmodal;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
unit4.form4.showmodal;
unit4.Form4.Memo1.Text:='';
unit4.Form4.Memo2.Text:='';
unit4.Form4.Memo3.Text:='';
unit4.Form4.Memo4.Text:='';
unit4.Form4.Memo5.Text:='';
end;

end.
